using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HCM.BusinessEntities;
using HCM.BajaWare.BusinessLogic;

namespace HCM.BajaWare.Services
{
    public partial class InterfacesServicesCatalogos : IinterfacesServicesCatalogos
    {
        #region Obtiene Catalogos





        public List<Interfaces> ListadoRelacionAcreditado()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoRelacionAcreditado();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoRelacionAcreditado: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }


        public List<Interfaces> ListadoSectorLaboral()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoSectorLaboral();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoSectorLaboral: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }


        public List<Interfaces> ListadoTipoDeudorRelacionado()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoTipoDeudorRelacionado();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoTipoDeudorRelacionado: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }



        public List<Interfaces> ListadoComprobanteIngresos()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoComprobanteIngresos();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoComprobanteIngresos: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }



        public List<Interfaces> ListaActivides()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListaActividades();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListaActivides: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }


        public List<Interfaces> ListadoPaises()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoPaises();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoPaises: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en CatalogosService.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }



        public List<Interfaces> ListaEstados()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListaEstados();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListaEstados: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }


        public List<Interfaces> ListaMunicipios(short shEstado)
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListaMunicipios(shEstado);
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListaMunicipios: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en CatalogosService.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaLocalidades(short shEstado)
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListaLocalidades(shEstado);
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListaMunicipios: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaColonias(string strCP)
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListaColonias(strCP);
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListaColonias: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en CatalogosService.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }


        public List<Interfaces> ListaTipoDomicilio()
        {
            List<Interfaces> results = null;
            try
            {


                results = (new InterfacesLogicCatalogos()).ListaTipoDomicilio();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListaPersonalidadJuridica()
        {
            List<Interfaces> results = null;
            try
            {
                results = (new InterfacesLogicCatalogos()).ListaPersonalidadJuridica();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListaSector()
        {
            List<Interfaces> results = null;
            try
            {
                results = (new InterfacesLogicCatalogos()).ListaSector();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListaColonias: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return results;

        }

        public List<Interfaces> ListadoTipoGarantia(int negocio)
        {
            List<Interfaces> results = null;
            try
            {
                results = (new InterfacesLogicCatalogos()).ListadoTipoGarantia(negocio);
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListadoTipoGarantia: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return results;

        }
        public List<Interfaces> ListadoMoneda()
        {
            List<Interfaces> results = null;
            try
            {
                results = (new InterfacesLogicCatalogos()).ListadoMoneda();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListadoMoneda: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return results;

        }
        public List<Interfaces> ListadoInstitucion()
        {
            List<Interfaces> results = null;
            try
            {
                results = (new InterfacesLogicCatalogos()).ListadoInstitucion();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListadoInstitucion: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return results;

        }



        public List<Interfaces> ListaReestructura()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarReestructura();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListaReestructura: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListaReestructura: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaDestinoCredito()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoDestinoCredito();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarDestinoCredito: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarDestinoCredito: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaTasaReferencia()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarTasaReferencia();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarTasaReferencia: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarTasaReferencia: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaClasificacionLegal()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListaClasificacionLegal();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarClasificacionLegal: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarClasificacionLegal: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaNumeroAgrupacion()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListaNumeroAgrupacion();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarNumeroAgrupacion: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarNumeroAgrupacion: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaOperacionFormalizada()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarOperacionFormalizada();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarOperacionFormalizada: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarOperacionFormalizada: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaInformacionRecuperacion()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarInformacionRecuperacion();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListaInformacionRecuperacion: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarOperacionFormalizada: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaExpedienteCompleto()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarExpedienteCompleto();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarExpedienteCompleto: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarExpedienteCompleto: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaMetodologia()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarMetodologia();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarMetodologia: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarMetodologia: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaTipoAlta()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarTipoAlta();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarTipoAlta: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarTipoAlta: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaDisposicionCredito()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarDisposicionCredito();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarDisposicionCredito: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarDisposicionCredito: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaInstitucion()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarInstitucion();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarInstitucion: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInstitucion: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaTipoBaja()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarTipoBaja();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarTipoBaja: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarTipoBaja: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListaPeriodicidadCap()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarPeriodicidadCap();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicesCatalogos.ListarPeriodicidadCap: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarPeriodicidadCap: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }


        public List<Interfaces> ListadoTamDeudor()
        {
            List<Interfaces> results = null;
            try
            {
                results = (new InterfacesLogicCatalogos()).ListadoTamDeudor();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        public List<Interfaces> ListadoRegimenFiscal()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).listaRegimenFiscal();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoRegimenFiscal: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }
        public List<Interfaces> ListadoPersonalidadJuridica()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListaPersonalidadJuridica();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoPersonalidadJuridica: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }
        public List<Interfaces> ListadoTipoAval()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoTipoAval();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoTipoAval: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }
        public List<Interfaces> ListadoIndustria()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoIndustria();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoIndustria: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }
        public List<Interfaces> ListadoGradoRiesgo()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoGradoRiesgo();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoGradoRiesgo: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }

        public List<Interfaces> ListadoEjecutivosBancarios()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoEjecutivosBancarios();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoEjecutivosBancarios: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }


        public List<Interfaces> ListadoSucursalesBancarias()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoSucursalesBancarias();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoSucursalesBancarias: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }


        public List<Interfaces> ListadoPeriodicidadInt()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoPeriodicidadInt();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoPeriodicidadInt: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }


        public List<Interfaces> ListadoTipoCreditoR04A()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoTipoCreditoR04A();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoTipoCreditoR04A: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }


        public List<Interfaces> ListadoPreferencia()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoPreferencia();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoTipoLineaRevoca: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }


        public List<Interfaces> ListadoTipoLineaRevoca()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoTipoLineaRevoca();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoTipoLineaRevoca: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }

        public List<Interfaces> ListadoComprobanteIngresosInividual()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListadoComprobanteIngresosInividual();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListadoComprobanteIngresosInividual: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }
        //ListarEntidadCofinanciadora
        public List<Interfaces> ListarEntidadCofinanciadora()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarEntidadCofinanciadora();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListarEntidadCofinanciadora: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }
        //ListarProductoHipotecario
        public List<Interfaces> ListarProductoHipotecario()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarProductoHipotecario();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListarProductoHipotecario: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }
        public List<Interfaces> ListarTipoSeguro()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarTipoSeguro();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListarTipoSeguro: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }
        public List<Interfaces> ListarTipoTasaInteres()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarTipoTasaInteres();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListarTipoSeguro: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }
        //ListarEntidadSeguro
        public List<Interfaces> ListarEntidadSeguro()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarEntidadSeguro();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListarEntidadSeguro: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }


        public List<Area> ListarAreas()
        {
            List<Area> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarAreas();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListarEntidadSeguro: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }

        /***/
        public List<Interfaces> ListarClasificacionContable()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarClasificacionContable();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListarClasificacionContable: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }
        /***/
        /***/
        public List<Interfaces> ListarTipoCreditoPromo()
        {
            List<Interfaces> result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ListarTipoCreditoPromo();
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListarTipoCreditoPromo: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }
        /****/



        public SepomexResult ObtineEdoMpoPorCP(string strCP)
        {
            SepomexResult result = null;
            try
            {
                result = (new InterfacesLogicCatalogos()).ObtineEdoMpoPorCP(strCP);
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en CatalogosService. ListarTipoCreditoPromo: " + ex.Message);
#else
               EventLogManager.LogErrorEntry("Error en InterfacesServicesCatalogos.ListarInterfaces: " + ex.Message);
               //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;
        }
        #endregion
    }
}
